<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Inertia\Inertia;
use Inertia\Response;

use App\Models\Product;
use App\Models\Order;

class OrdersController extends Controller
{
    /**
     * Show all orders
     */
    public function show(Request $request): Response
    {
        $perPage = $request->input('per_page', 10);
        $orders = Order::paginate($perPage);

        return Inertia::render('Admin/Orders/AllOrders', [
            'orders' => $orders,
            'per_page' => $perPage,
        ]);
    }
}
